field_expr_v2_variational_dg< Expr >

## Public Types

typedef Expr::size_type | size_type
typedef Expr::memory_type | memory_type
typedef Expr::value_type | value_type
typedef Expr::scalar_type | scalar_type
typedef Expr::float_type | float_type
typedef Expr::space_type | space_type
typedef Expr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef field_expr_v2_variational_dg< Expr > | self_type
typedef field_expr_v2_variational_dg< typename Expr::dual_self_type > | dual_self_type

## Public Member Functions

| field_expr_v2_variational_dg (const Expr &expr, const float_type &c0, const float_type &c1)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result >
void | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = Expr::valued_hint

## Protected Attributes

Expr | _expr0
Expr | _expr1
scalar_type | _c0
scalar_type | _c1
reference_element | _tilde0_L0
reference_element | _tilde1_L1
geo_basic< float_type, memory_type > | _bgd_omega

## Detailed Description

### template<class Expr>
class rheolef::details::field_expr_v2_variational_dg< Expr >

Definition at line 776 of file field_expr_variational_terminal.h.

## Member Typedef Documentation

## size_type

typedef Expr::size_type size_type

Definition at line 780 of file field_expr_variational_terminal.h.

## memory_type

typedef Expr::memory_type memory_type

Definition at line 781 of file field_expr_variational_terminal.h.

## value_type

typedef Expr::value_type value_type

Definition at line 782 of file field_expr_variational_terminal.h.

## scalar_type

typedef Expr::scalar_type scalar_type

Definition at line 783 of file field_expr_variational_terminal.h.

## float_type

typedef Expr::float_type float_type

Definition at line 784 of file field_expr_variational_terminal.h.

## space_type

typedef Expr::space_type space_type

Definition at line 785 of file field_expr_variational_terminal.h.

## vf_tag_type

typedef Expr::vf_tag_type vf_tag_type

Definition at line 786 of file field_expr_variational_terminal.h.

## vf_dual_tag_type

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 788 of file field_expr_variational_terminal.h.

## self_type

typedef field_expr_v2_variational_dg<Expr> self_type

Definition at line 789 of file field_expr_variational_terminal.h.

## dual_self_type

typedef field_expr_v2_variational_dg<typename Expr::dual_self_type> dual_self_type

Definition at line 791 of file field_expr_variational_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_variational_dg()

field_expr_v2_variational_dg | ( | const Expr & | expr,
|  | const float_type & | c0,
|  | const float_type & | c1
| ) |  |

Definition at line 795 of file field_expr_variational_terminal.h.

## Member Function Documentation

## get_vf_space()

const space_type& get_vf_space | ( |  | ) | const

Definition at line 808 of file field_expr_variational_terminal.h.

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 810 of file field_expr_variational_terminal.h.

## n_derivative()

size_type n_derivative | ( |  | ) | const

Definition at line 811 of file field_expr_variational_terminal.h.

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 815 of file field_expr_variational_terminal.h.

## initialize() [2/2]

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 820 of file field_expr_variational_terminal.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 856 of file field_expr_variational_terminal.h.

## valued_check()

void valued_check | ( |  | ) | const

Definition at line 832 of file field_expr_variational_terminal.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = Expr::valued_hint

static

Definition at line 809 of file field_expr_variational_terminal.h.

## _expr0

Expr _expr0

mutable protected

Definition at line 841 of file field_expr_variational_terminal.h.

## _expr1

Expr _expr1

mutable protected

Definition at line 842 of file field_expr_variational_terminal.h.

## _c0

scalar_type _c0

protected

Definition at line 843 of file field_expr_variational_terminal.h.

## _c1

scalar_type _c1

protected

Definition at line 844 of file field_expr_variational_terminal.h.

## _tilde0_L0

reference_element _tilde0_L0

mutable protected

Definition at line 845 of file field_expr_variational_terminal.h.

## _tilde1_L1

reference_element _tilde1_L1

mutable protected

Definition at line 846 of file field_expr_variational_terminal.h.

## _bgd_omega

geo_basic<float_type,memory_type> _bgd_omega

mutable protected

Definition at line 847 of file field_expr_variational_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_expr_variational_terminal.h